Bug 816130 - Review Request: perl-Test-Identity - Assert the referential identity of a reference
Review Request: perl-Test-Identity - Assert the referential identity of a ref...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Šabata
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 816131
  Show dependency treegraph
 
Reported: 2012-04-25 06:26 EDT by Marcela Mašláňová
Modified: 2012-04-30 07:26 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Test-Identity-0.01-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-30 07:26:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2012-04-25 06:26:44 EDT
Description:
This module provides a single testing function, identical. It asserts that
a given reference is as expected; that is, it either refers to the same
object or is undef. It is similar to Test::More::is except that it uses
refaddr, ensuring that it behaves correctly even if the references under
test are objects that overload stringification or numification.
SPEC: http://mmaslano.fedorapeople.org/review/perl-Test-Identity.spec
SRPM: http://mmaslano.fedorapeople.org/review/perl-Test-Identity-0.01-1.fc16.src.rpm
Comment 1 Petr Šabata 2012-04-25 11:16:11 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[!]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.
     (FSF address)
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/contyk/src/review/816130/Test-Identity-0.01.tar.gz :
  MD5SUM this package     : ecef85c791cf5847e4c374983cf22a74
  MD5SUM upstream package : ecef85c791cf5847e4c374983cf22a74
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[!]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
TODO: BuildRequire perl(base), lib/Test/Identity.pm:10
TIP: README is just the package Pod; it could be removed.
TODO: perl(Scalar::Util) runtime dependency is autodetected by rpmbuild and should be removed from the explicit Requires list.
TODO: The FSF address in the LICENSE file is incorrect. Please, ask upstream to fix it in the next release or so.
TODO: Remove the obsolete BuildRoot tag.

Approving but please fix the TODO items before building the package.

Generated by fedora-review 0.2.0git
External plugins:
Comment 2 Marcela Mašláňová 2012-04-26 07:26:26 EDT
FSF address:
https://rt.cpan.org/Public/Bug/Display.html?id=76816

Everything else done. Thank you for your review.

http://mmaslano.fedorapeople.org/review/perl-Test-Identity.spec
Comment 3 Marcela Mašláňová 2012-04-27 02:56:01 EDT
New Package SCM Request
=======================
Package Name: perl-Test-Identity
Short Description: Assert the referential identity of a reference
Owners: mmaslano psabata ppisar
Branches: 
InitialCC: perl-sig
Comment 4 Gwyn Ciesla 2012-04-27 09:56:48 EDT
Git done (by process-git-requests).
Comment 5 Petr Šabata 2012-04-30 07:26:14 EDT
perl-Test-Identity-0.01-1.fc18 built but there seem to be something wrong with the repo.  I keep getting those warnings:

Exception AttributeError: '_read_only' in <bound method write.__del__ of <git.config.write object at 0x7fe1ef625830>> ignored
Exception AttributeError: '_read_only' in <bound method write.__del__ of <git.config.write object at 0x7fe1ef625750>> ignored

Note You need to log in before you can comment on or make changes to this bug.